import { Component, inject } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';

import SharedModule from 'app/shared/shared.module';
import { ITEM_DELETED_EVENT } from 'app/config/navigation.constants';
import { IInputDataUpload } from '../input-data-upload.model';
import { InputDataUploadService } from '../service/input-data-upload.service';

@Component({
  standalone: true,
  templateUrl: './input-data-upload-delete-dialog.component.html',
  imports: [SharedModule, FormsModule],
})
export class InputDataUploadDeleteDialogComponent {
  inputDataUpload?: IInputDataUpload;

  protected inputDataUploadService = inject(InputDataUploadService);
  protected activeModal = inject(NgbActiveModal);

  cancel(): void {
    this.activeModal.dismiss();
  }

  confirmDelete(id: number): void {
    this.inputDataUploadService.delete(id).subscribe(() => {
      this.activeModal.close(ITEM_DELETED_EVENT);
    });
  }
}
